<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/cleanPersoDirs.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__)."/../common/common_functions.inc.php");

error_reporting(E_ERROR | E_WARNING | E_PARSE);
if ($dir = @opendir($GLOBALS["directoryRoot"]."/contact/")) {
	echo "opening ".$GLOBALS["directoryRoot"]."/contact/";
	echo "<br/>";
	while($file = readdir($dir)) {
		if($file != "." && $file != "..") {
			/*echo $GLOBALS["directoryRoot"]."/contact/".$file;
			echo "<br/>";*/
			$items = count(glob($GLOBALS["directoryRoot"]."/contact/".$file."/*"));
			if($items==0){
				echo "deleting ".$GLOBALS["directoryRoot"]."/contact/".$file;
				if($_GET['delete']==='true' && is_dir($GLOBALS["directoryRoot"]."/contact/".$file))
					rmdir($GLOBALS["directoryRoot"]."/contact/".$file);
			}else
				echo "<b>must keep ".$file." ($items)</b>";
			echo "<br/>";
		}
	}
}else
	echo "couldnot open ".$GLOBALS["directoryRoot"]."contact/";

?>
